/* text_scroll
 *
 * Az Arduino szöveg kiírása és görgetése jobbról balra
 * a 2 x 8 digites, PCF8577C vezérlőjű LCD kijelzőn.
 *
 * Kapcsolás:
 *              +5V  +5V
 *               |    |
 *   ---------- 4.7k 4.7k  -----------------------------------------------~
 *  | Arduino  | |    |   | PCF8577C LCD                                  ~
 *  |       A4 |-+----|---| SDA     _    _    _    _    _    _    _    _  ~
 *  |       A5 |------+---| SCL   /_ / /_ / /_ / /_ / /_ / /_ / /_ / /_ / ~
 *  |      GND |----------| GND  /_ / /_ / /_ / /_ / /_ / /_ / /_ / /_ /  ~
 *  |       5V |-------+--| VCC                                           ~
 *   ----------            -----------------------------------------------~
 *
 */
#include <Wire.h>
#define SLAVE_ADDRESS 0x3A
byte txt[10] = {250,136,158,14,2,138,142,0,0,0};   // Arduino felirat
byte data[16] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}; // Display buffer

void setup() {
  Wire.begin();                // Az I2C csatorna inicializálása
}

void loop() {
  for(int c=0; c<10; c++) {    // Ciklus fut txt[] elemein
    for(int i=15; i>0; i--) {  // Ciklus fut data[] elemein
      data[i] = data[i-1];     // Minden karakter balra lép
    }
    data[0] = txt[c];          // Következő karakter az utolsó helyre
    //--- A kijelző frissítése -----------
    Wire.beginTransmission(SLAVE_ADDRESS);
    Wire.write(0);             // regsiztercím megadása (ide írunk)
    Wire.write(data, 16);      // A 16 adat kiírása egy tranzakcióban
    Wire.endTransmission();    // Kiírás vége
    delay(500);                // Fél másodperc várakozás
  }  
}
